ListLimitsProfiles
Lists all limits profiles in an Amazon Quick Sight account. Results are paginated. Use the MaxResults parameter to specify the maximum number of results to return in a single call. To retrieve the next page, use the NextToken parameter.
Request Syntax
GET /governance/limits/accounts/AccountId/profiles?maxResults=MaxResults&nextToken=NextToken&resourceType=ResourceType HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- AccountId
-
The ID of the AWS account that contains the limits profiles.
Length Constraints: Fixed length of 12.
Pattern:
^[0-9]{12}$Required: Yes
- MaxResults
-
The maximum number of results to return in a single call. If you don't specify a value, the service uses the default maximum.
Valid Range: Minimum value of 1. Maximum value of 100.
- NextToken
-
The token for the next set of results, or null if there are no more results.
- ResourceType
-
An optional filter that limits the results to profiles that contain the specified resource type. If you don't specify a value, the operation returns all profiles.
Valid Values:
INDEX_STORAGE | AGENT_HOURS
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"NextToken": "string",
"Profiles": [
{
"AccountId": "string",
"Arn": "string",
"CreatedAt": number,
"Description": "string",
"ProfileId": "string",
"ProfileName": "string",
"ResourceLimits": {
"string" : {
"MaxValue": number,
"Unit": "string"
}
},
"UpdatedAt": number
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- Profiles
-
A list of limits profiles.
Type: Array of LimitsProfile objects
- NextToken
-
The token for the next set of results, or null if there are no more results.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 401
- InternalFailureException
-
An internal failure occurred.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 500
- InvalidParameterValueException
-
One or more parameters has a value that isn't valid.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 400
- ThrottlingException
-
Access is throttled.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: